/*******************************************************************************
************************ Les bibliothèques à inclure ***************************
*******************************************************************************/
#include "main.hpp"

using namespace USpeedGameEngine;

/**
 * Point d'entrée de l'application.
 * @author U.Speed
 * @param int : argCount : nombre d'arguments passés au programme
 * @param char** : argValues : liste des arguments passés au programme
 * @return int : retour de l'application
 */
int main(int argNumber, char *argList[])
{
    // La police d'écriture
    Font font;
    bool fontOk = font.load("font.ttf");
    if (fontOk == false)
    {
        fontOk = font.load("../demoData/font.ttf");
    }
    printf("Font loaded : %s !\n", fontOk?"Ok":"Error");

    Image test;
    font.setSize(40);
    font.setColor(0xFFFF0000);
    font.setBorder(2, 0xFF000000, false);
    font.print("Test", &test);
    printf("%lux%lupx\n", test.getWidth(), test.getHeight());

    printf("PNG file writen : %s\n", test.write("test.png", PNG)?"Ok":"Error");
    printf("JPG file writen : %s\n", test.write("test.jpg", JPG)?"Ok":"Error");
    return 0;
}
